com.genesyslab.wfm8.API.service.config800

## Class CfgActivitySet

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgActivitySet

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgActivitySet
      extends java.lang.Object
      implements java.io.Serializable

  Activity Set information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` Timestamp value
    `protected java.util.List<java.lang.Integer>` | `wmActivities` Array of Activity IDs (`CfgActivity`) that Activity Set consists of
    `protected int` | `wmActivitiesNSizeIs` Number of elemenst in wmActivities array
    `protected int` | `wmActivitySetId` Activity Set ID
    `protected int` | `wmBUId`
    `protected int` | `wmColor` Schedule state RGB color value.
    `protected int` | `wmFontColor` Schedule state font RGB color value.
    `protected int` | `wmMaxDuration` Maximum Duration
    `protected int` | `wmMinDuration` Minimum Duration
    `protected java.lang.String` | `wmName` Activity Set Name
    `protected java.lang.String` | `wmShortName` Activity Set Short Name
    `protected java.util.List<java.lang.Integer>` | `wmSiteId` Site ID that Activity Set belongs to, identifies `CfgSite` object
    `protected int` | `wmSiteIdNSizeIs`
    `protected boolean` | `wmStrict` Is Strict? (true/false)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgActivitySet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<java.lang.Integer>` | `getWmActivities()` Gets the value of the wmActivities property.
    `int` | `getWmActivitiesNSizeIs()` Gets the value of the wmActivitiesNSizeIs property.
    `int` | `getWmActivitySetId()` Gets the value of the wmActivitySetId property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmColor()` Gets the value of the wmColor property.
    `int` | `getWmFontColor()` Gets the value of the wmFontColor property.
    `int` | `getWmMaxDuration()` Gets the value of the wmMaxDuration property.
    `int` | `getWmMinDuration()` Gets the value of the wmMinDuration property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.lang.String` | `getWmShortName()` Gets the value of the wmShortName property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `hashCode()`
    `boolean` | `isWmStrict()` Gets the value of the wmStrict property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmActivities(java.util.List<java.lang.Integer> wmActivities)` Sets the value of the wmActivities property.
    `void` | `setWmActivitiesNSizeIs(int value)` Sets the value of the wmActivitiesNSizeIs property.
    `void` | `setWmActivitySetId(int value)` Sets the value of the wmActivitySetId property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmColor(int value)` Sets the value of the wmColor property.
    `void` | `setWmFontColor(int value)` Sets the value of the wmFontColor property.
    `void` | `setWmMaxDuration(int value)` Sets the value of the wmMaxDuration property.
    `void` | `setWmMinDuration(int value)` Sets the value of the wmMinDuration property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmShortName(java.lang.String value)` Sets the value of the wmShortName property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStrict(boolean value)` Sets the value of the wmStrict property.
    `java.lang.String` | `toString()`
    `CfgActivitySet` | `withTimestamp(long value)`
    `CfgActivitySet` | `withWmActivities(java.util.Collection<java.lang.Integer> values)`
    `CfgActivitySet` | `withWmActivities(java.lang.Integer... values)`
    `CfgActivitySet` | `withWmActivitiesNSizeIs(int value)`
    `CfgActivitySet` | `withWmActivitySetId(int value)`
    `CfgActivitySet` | `withWmBUId(int value)`
    `CfgActivitySet` | `withWmColor(int value)`
    `CfgActivitySet` | `withWmFontColor(int value)`
    `CfgActivitySet` | `withWmMaxDuration(int value)`
    `CfgActivitySet` | `withWmMinDuration(int value)`
    `CfgActivitySet` | `withWmName(java.lang.String value)`
    `CfgActivitySet` | `withWmShortName(java.lang.String value)`
    `CfgActivitySet` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgActivitySet` | `withWmSiteId(java.lang.Integer... values)`
    `CfgActivitySet` | `withWmSiteIdNSizeIs(int value)`
    `CfgActivitySet` | `withWmStrict(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmActivitySetId

          protected int wmActivitySetId

      Activity Set ID

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

      Site ID that Activity Set belongs to, identifies `CfgSite` object

    - #### wmName

          protected java.lang.String wmName

      Activity Set Name

    - #### wmShortName

          protected java.lang.String wmShortName

      Activity Set Short Name

    - #### wmMinDuration

          protected int wmMinDuration

      Minimum Duration

    - #### wmMaxDuration

          protected int wmMaxDuration

      Maximum Duration

    - #### wmStrict

          protected boolean wmStrict

      Is Strict? (true/false)

    - #### wmColor

          protected int wmColor

      Schedule state RGB color value. Value -1 stands for NULL.

    - #### wmFontColor

          protected int wmFontColor

      Schedule state font RGB color value. Value -1 stands for NULL.

    - #### wmActivitiesNSizeIs

          protected int wmActivitiesNSizeIs

      Number of elemenst in wmActivities array

    - #### wmActivities

          protected java.util.List<java.lang.Integer> wmActivities

      Array of Activity IDs (`CfgActivity`) that Activity Set consists of

    - #### timestamp

          protected long timestamp

      Timestamp value

  - ### Constructor Detail

    - #### CfgActivitySet

          public CfgActivitySet()

  - ### Method Detail

    - #### getWmActivitySetId

          public int getWmActivitySetId()

      Gets the value of the wmActivitySetId property.

    - #### setWmActivitySetId

          public void setWmActivitySetId(int value)

      Sets the value of the wmActivitySetId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the value of the wmShortName property.
      Returns:
        possible object is `String`

    - #### setWmShortName

          public void setWmShortName(java.lang.String value)

      Sets the value of the wmShortName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmMinDuration

          public int getWmMinDuration()

      Gets the value of the wmMinDuration property.

    - #### setWmMinDuration

          public void setWmMinDuration(int value)

      Sets the value of the wmMinDuration property.

    - #### getWmMaxDuration

          public int getWmMaxDuration()

      Gets the value of the wmMaxDuration property.

    - #### setWmMaxDuration

          public void setWmMaxDuration(int value)

      Sets the value of the wmMaxDuration property.

    - #### isWmStrict

          public boolean isWmStrict()

      Gets the value of the wmStrict property.

    - #### setWmStrict

          public void setWmStrict(boolean value)

      Sets the value of the wmStrict property.

    - #### getWmColor

          public int getWmColor()

      Gets the value of the wmColor property.

    - #### setWmColor

          public void setWmColor(int value)

      Sets the value of the wmColor property.

    - #### getWmFontColor

          public int getWmFontColor()

      Gets the value of the wmFontColor property.

    - #### setWmFontColor

          public void setWmFontColor(int value)

      Sets the value of the wmFontColor property.

    - #### getWmActivitiesNSizeIs

          public int getWmActivitiesNSizeIs()

      Gets the value of the wmActivitiesNSizeIs property.

    - #### setWmActivitiesNSizeIs

          public void setWmActivitiesNSizeIs(int value)

      Sets the value of the wmActivitiesNSizeIs property.

    - #### getWmActivities

          public java.util.List<java.lang.Integer> getWmActivities()

      Gets the value of the wmActivities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmActivities property.

      For example, to add a new item, do as follows:

              getWmActivities().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmActivitySetId

          public CfgActivitySet withWmActivitySetId(int value)

    - #### withWmBUId

          public CfgActivitySet withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgActivitySet withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgActivitySet withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgActivitySet withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgActivitySet withWmName(java.lang.String value)

    - #### withWmShortName

          public CfgActivitySet withWmShortName(java.lang.String value)

    - #### withWmMinDuration

          public CfgActivitySet withWmMinDuration(int value)

    - #### withWmMaxDuration

          public CfgActivitySet withWmMaxDuration(int value)

    - #### withWmStrict

          public CfgActivitySet withWmStrict(boolean value)

    - #### withWmColor

          public CfgActivitySet withWmColor(int value)

    - #### withWmFontColor

          public CfgActivitySet withWmFontColor(int value)

    - #### withWmActivitiesNSizeIs

          public CfgActivitySet withWmActivitiesNSizeIs(int value)

    - #### withWmActivities

          public CfgActivitySet withWmActivities(java.lang.Integer... values)

    - #### withWmActivities

          public CfgActivitySet withWmActivities(java.util.Collection<java.lang.Integer> values)

    - #### withTimestamp

          public CfgActivitySet withTimestamp(long value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmActivities

          public void setWmActivities(java.util.List<java.lang.Integer> wmActivities)

      Sets the value of the wmActivities property.
      Parameters:
        `wmActivities` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.